Bug 70328 - conflict between different versions of lang/tcl* and x11-toolkits/tk*
conflict between different versions of lang/tcl* and x11-toolkits/tk*
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Dirk Meyer
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-11 23:20 UTC by Don Lewis
Modified: 2004-08-17 06:03 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Don Lewis freebsd_committer 2004-08-11 23:20:25 UTC
	Different versions of the tcl ports conflict with each other
        because they all install their man pages in the same location.
	The same is true of the tk ports.

Fix: 

Either a CONFLICTS statement should be added to the Makefiles or
        the man pages should be installed in tcl/tk version-specific
        directories.
Comment 1 dirk.meyer 2004-08-12 08:13:14 UTC
Don Lewis schrieb:,

> 	Different versions of the tcl ports conflict with each other
>         because they all install their man pages in the same location.
> 	The same is true of the tk ports.

all tcl/tk manpages go into "mann", call it historic reason.
Diffrent tcl/tk versions install the same manpage at the same locaion.
This is intended, The common manpages have only minor differences.

If you deinstall the ports in any order, all manpages are removed.

> 	Either a CONFLICTS statement should be added to the Makefiles or
>         the man pages should be installed in tcl/tk version-specific
>         directories.

both will be harmfull.

- CONFLICTS will keep useres from ruinning more then one version.
  diffrent versions are needed for Applications
  cause tcl/tk API changed so much.

- moving man in a diffrent path will obsolete tutorials and handbooks
  There might be even application that fails.

I would like to hear more arguments why the current state gives problems.

kind regards Dirk

- Dirk Meyer, Im Grund 4, 34317 Habichtswald, Germany
- [dirk.meyer@dinoex.sub.org],[dirk.meyer@guug.de],[dinoex@FreeBSD.org]
Comment 2 eik freebsd_committer 2004-08-12 13:52:55 UTC
Responsible Changed
From-To: freebsd-ports-bugs->dinoex

Over to the maintainer of the tcl/tk 8.3 ports
Comment 3 eikemeier 2004-08-12 13:54:20 UTC
Dirk Meyer wrote:

>  I would like to hear more arguments why the current state gives 
> problems.

When you temporarily need an older version, but deinstall it after use 
(e.g. testing), you are left without man pages. Perhaps a seperate 
tcl-man port which all tcl ports can depend upon will help?

-Oliver
Comment 4 Dirk Meyer freebsd_committer 2004-08-17 06:02:56 UTC
State Changed
From-To: open->closed

Options committed.